Table of Contents

Class: ProxyClient | Twisted-0.17.4/twisted/web/proxy.py
--- | ---

Base Classes |
--- | ---
http.HTTPClient

Methods |
--- | ---
__init__ connectionMade handleEndHeaders handleHeader handleResponse handleStatus
| __init__

    __init__ (
            self,
            command,
            rest,
            version,
            headers,
            data,
            father,
            )

| connectionMade

    connectionMade ( self )

| handleEndHeaders

    handleEndHeaders ( self )

| handleHeader

    handleHeader (
            self,
            key,
            value,
            )

| handleResponse

    handleResponse ( self,  buffer )

| handleStatus

    handleStatus (
            self,
            version,
            code,
            message,
            )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:53 2002 by HappyDoc version 2.0